Bug 1282433 - Web-UI: Containers: Clicking on "Project / Pod" throws "ERROR: column container_groups.project does not exist LINE 1: ...stems"."id" = "container_groups"."ems_id" WHERE ((container_... ^ [container_group/show_list]" error
Web-UI: Containers: Clicking on "Project / Pod" throws "ERROR: column contain...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Mooli Tayer
Ramesh A
container
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 06:58 EST by Ramesh A
Modified: 2015-12-08 08:47 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:47:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error (51.42 KB, image/png)
2015-11-16 06:58 EST, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-11-16 06:58:50 EST
Created attachment 1094860 [details]
Error

Description of problem:
Clicking on "Project / Pod" throws "ERROR: column container_groups.project does not exist LINE 1: ...stems"."id" = "container_groups"."ems_id" WHERE ((container_... ^ [container_group/show_list]" error

Version-Release number of selected component (if applicable):
5.5.0.10-beta2.1.20151110134042_d6f5459

How reproducible:
Very

Steps to Reproduce:
1. Deploy a new appliance
2. Navigate to Containers ==> Pods ==> Filters ==> Click on Project / Pod in the Accordion

Actual results:
Throws following error: "ERROR: column container_groups.project does not exist LINE 1: ...stems"."id" = "container_groups"."ems_id" WHERE ((container_... ^ [container_group/show_list]".  Refer the screenshot and production.log for more information

Expected results:
Should not throw any error

Additional info:

production.log:
==============
[----] I, [2015-11-16T06:49:56.707386 #2934:1205994]  INFO -- : Started POST "/container_group/listnav_search_selected/114?button=apply" for 127.0.0.1 at 2015-11-16 06:49:56 -0500
[----] I, [2015-11-16T06:49:56.708815 #2934:1205994]  INFO -- : Processing by ContainerGroupController#listnav_search_selected as JS
[----] I, [2015-11-16T06:49:56.708904 #2934:1205994]  INFO -- :   Parameters: {"button"=>"apply", "id"=>"114"}
[----] I, [2015-11-16T06:49:56.744279 #2934:1205994]  INFO -- : Completed 200 OK in 35ms (Views: 0.7ms | ActiveRecord: 1.8ms)
[----] I, [2015-11-16T06:49:57.018283 #2934:1205994]  INFO -- : Started GET "/container_group/show_list" for 127.0.0.1 at 2015-11-16 06:49:57 -0500
[----] I, [2015-11-16T06:49:57.019375 #2934:1205994]  INFO -- : Processing by ContainerGroupController#show_list as HTML
[----] F, [2015-11-16T06:49:57.069195 #2934:1205994] FATAL -- : Error caught: [PG::UndefinedColumn] ERROR:  column container_groups.project does not exist
LINE 1: ...stems"."id" = "container_groups"."ems_id" WHERE ((container_...
                                                             ^

/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb:592:in `async_exec'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb:592:in `block in exec_no_cache'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:472:in `block in log'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:466:in `log'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb:592:in `exec_no_cache'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb:584:in `execute_and_clear'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/postgresql/database_statements.rb:160:in `exec_query'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:355:in `select'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:32:in `select_all'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:68:in `block in select_all'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:83:in `cache_sql'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:68:in `select_all'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/relation/calculations.rb:264:in `execute_simple_calculation'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/relation/calculations.rb:221:in `perform_calculation'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/relation/calculations.rb:127:in `calculate'
/var/www/miq/vmdb/lib/extensions/ar_virtual.rb:383:in `calculate_with_virtual'
/opt/rh/cfme-gemset/gems/activerecord-deprecated_finders-1.0.4/lib/active_record/deprecated_finders/relation.rb:84:in `calculate'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/relation/calculations.rb:125:in `calculate'
/var/www/miq/vmdb/lib/extensions/ar_virtual.rb:383:in `calculate_with_virtual'
/opt/rh/cfme-gemset/gems/activerecord-deprecated_finders-1.0.4/lib/active_record/deprecated_finders/relation.rb:84:in `calculate'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/relation/calculations.rb:42:in `count'
/var/www/miq/vmdb/app/models/rbac.rb:184:in `compute_total_count'
/var/www/miq/vmdb/app/models/rbac.rb:215:in `find_targets_filtered_by_ids'
/var/www/miq/vmdb/app/models/rbac.rb:246:in `find_targets_with_direct_rbac'
/var/www/miq/vmdb/app/models/rbac.rb:286:in `find_targets_with_rbac'
/var/www/miq/vmdb/app/models/rbac.rb:447:in `search'
/var/www/miq/vmdb/app/models/miq_report/search.rb:113:in `paged_view_search'
/var/www/miq/vmdb/app/controllers/application_controller.rb:1756:in `get_view'
/var/www/miq/vmdb/app/controllers/application_controller/ci_processing.rb:970:in `process_show_list'
/var/www/miq/vmdb/app/controllers/container_group_controller.rb:10:in `show_list'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionview/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:817:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/conditionalget.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/query_cache.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:88:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/rack/logger.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/engine.rb:518:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/application.rb:165:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:86:in `block in pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `catch'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:53:in `process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:39:in `receive_data'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/backends/base.rb:73:in `start'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/server.rb:162:in `start'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/server.rb:80:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
[----] I, [2015-11-16T06:49:57.070445 #2934:1205994]  INFO -- :   Rendered layouts/_exception_contents.html.haml (0.1ms)
[----] I, [2015-11-16T06:49:57.070569 #2934:1205994]  INFO -- :   Rendered layouts/exception.html.haml within layouts/application (0.4ms)
[----] I, [2015-11-16T06:49:57.070788 #2934:1205994]  INFO -- :   Rendered layouts/_doctype.html.haml (0.0ms)
[----] I, [2015-11-16T06:49:57.073967 #2934:1205994]  INFO -- :   Rendered stylesheets/_template50.html.haml (0.1ms)
[----] I, [2015-11-16T06:49:57.077485 #2934:1205994]  INFO -- :   Rendered layouts/_user_options.html.haml (2.7ms)
[----] I, [2015-11-16T06:49:57.125004 #2934:1205994]  INFO -- :   Rendered layouts/_page_header_navbar.html.haml (47.3ms)
[----] I, [2015-11-16T06:49:57.125336 #2934:1205994]  INFO -- :   Rendered layouts/_spinner.html.haml (0.1ms)
[----] I, [2015-11-16T06:49:57.125548 #2934:1205994]  INFO -- :   Rendered layouts/_lightbox_panel.html.haml (0.1ms)
[----] I, [2015-11-16T06:49:57.125645 #2934:1205994]  INFO -- :   Rendered layouts/_header.html.haml (51.1ms)
[----] I, [2015-11-16T06:49:57.125992 #2934:1205994]  INFO -- :   Rendered layouts/_breadcrumbs.html.haml (0.0ms)
[----] I, [2015-11-16T06:49:57.126152 #2934:1205994]  INFO -- :   Rendered layouts/_content.html.haml (0.3ms)
[----] I, [2015-11-16T06:49:57.126472 #2934:1205994]  INFO -- :   Rendered layouts/_adv_search.html.haml (0.1ms)
[----] I, [2015-11-16T06:49:57.126586 #2934:1205994]  INFO -- :   Rendered layouts/_footer.html.haml (0.3ms)
[----] I, [2015-11-16T06:49:57.126859 #2934:1205994]  INFO -- : Completed 500 Internal Server Error in 107ms (Views: 48.0ms | ActiveRecord: 12.6ms)
Comment 2 Pete Savage 2015-11-16 07:15:34 EST
The same also happens for the filter in "Container Services"
Comment 3 Federico Simoncelli 2015-11-17 12:23:33 EST
Mooli can you take a look? Thanks!
Comment 4 Mooli Tayer 2015-11-18 10:45:28 EST
Fix submitted upstream at: https://github.com/ManageIQ/manageiq/pull/5494
Comment 6 Ramesh A 2015-11-25 05:43:37 EST
Good to go.  Verified and working fine in 5.5.0.12-rc2.20151124135609_653c0d4
Comment 8 errata-xmlrpc 2015-12-08 08:47:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.